﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace CADTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void newtCtrlNToolStripMenuItem_Click(object sender, EventArgs e)
        {
            XDraw.OnNewFile();
        }

        private void mnuExit_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void mnuPrint_Click(object sender, EventArgs e)
        {
            XDraw.PrintDraw();
        }

        private void mnuPageSetup_Click(object sender, EventArgs e)
        {
            XDraw.DoPageSetup();
        }

        private void mnuHeaderAndFooter_Click(object sender, EventArgs e)
        {
            XDraw.DoShowHeaderAndFooterDlg();
        }

        private void mnuExport_Click(object sender, EventArgs e)
        {
            XDraw.Export();
        }

        private void mnuUndo_Click(object sender, EventArgs e)
        {
            XDraw.Undo();
        }

        private void mnuRedo_Click(object sender, EventArgs e)
        {
            XDraw.Redo();
        }

        private void mnuCut_Click(object sender, EventArgs e)
        {
            XDraw.Cut();
        }

        private void mnuCopy_Click(object sender, EventArgs e)
        {
            XDraw.Copy();
        }

        private void mnuPaste_Click(object sender, EventArgs e)
        {
            XDraw.Paste();
        }

        private void mnuDelete_Click(object sender, EventArgs e)
        {
            XDraw.Clear();
        }

        private void mnuSelectAll_Click(object sender, EventArgs e)
        {
            XDraw.SelectAll();
        }

        private void mnuClearAll_Click(object sender, EventArgs e)
        {
            XDraw.ClearAll();
        }

        private void mnuPageproperties_Click(object sender, EventArgs e)
        {
            XDraw.DoShowPagePropDlg();
        }

        private void mnuPanWindow_Click(object sender, EventArgs e)
        {
            //XDraw.ShowPanWindow(false);
        }

        private void mnuDesignMode_Click(object sender, EventArgs e)
        {
           // bool bdesign = XDraw.GetDesignMode();
         //   XDraw.SetDesignMode(!bdesign);
        }

        private void mnuZoom50_Click(object sender, EventArgs e)
        {
            XDraw.SetZoomPercent(50);
        }

        private void mnuZoom75_Click(object sender, EventArgs e)
        {
            XDraw.SetZoomPercent(75);
        }

        private void mnuZoom100_Click(object sender, EventArgs e)
        {
            XDraw.SetZoomPercent(100);
        }

        private void mnuZoom150_Click(object sender, EventArgs e)
        {
            XDraw.SetZoomPercent(150);
        }

        private void mnuZoom200_Click(object sender, EventArgs e)
        {
            XDraw.SetZoomPercent(200);
        }

        private void mnuZoomOut_Click(object sender, EventArgs e)
        {
            XDraw.ZoomOut();
        }

        private void mnuZoomIn_Click(object sender, EventArgs e)
        {
            XDraw.ZoomIn();
        }

        private void mnuFitToPage_Click(object sender, EventArgs e)
        {
            XDraw.ZoomToFitPage();
        }

        private void mnuFitToPageWidth_Click(object sender, EventArgs e)
        {
            XDraw.ZoomToFitPageWidth();
        }

        private void mnuFitToPageHeight_Click(object sender, EventArgs e)
        {
            XDraw.ZoomToFitPageHeight();
        }

        private void mnuZoomToSelection_Click(object sender, EventArgs e)
        {
            XDraw.ZoomToFitSelect();
        }

        private void mnuZoomToRectangle_Click(object sender, EventArgs e)
        {
            XDraw.DoZoomWithinRect();
        }

        private void gridToolStripMenuItem_Click(object sender, EventArgs e)
        {
         //   bool bgrid = XDraw.GetShowGrid();
          //  XDraw.SetShowGrid(!bgrid);
        }

        private void gridSetupToolStripMenuItem_Click(object sender, EventArgs e)
        {
            XDraw.OnGridProp();
        }

        private void shapeListToolStripMenuItem_Click(object sender, EventArgs e)
        {
            XDraw.DoShowCompsSelectDlg();
        }

        private void mnuEditSport_Click(object sender, EventArgs e)
        {
            XDraw.DoEditSpot();
        }

        private void mnuGroup_Click(object sender, EventArgs e)
        {
            XDraw.Group();
        }

        private void mnuUngroup_Click(object sender, EventArgs e)
        {
            XDraw.UnGroup();
        }

        private void mnuRotateOrFlip_Click(object sender, EventArgs e)
        {

        }

        private void mnuFreeRotate_Click(object sender, EventArgs e)
        {
            XDraw.DoRotate();
        }

        private void mnuRotateLeft_Click(object sender, EventArgs e)
        {
            XDraw.DoRotateLeft();
        }

        private void mnuRotate_Click(object sender, EventArgs e)
        {
            XDraw.DoRotateRight();
        }

        private void mnuFlipHorizontal_Click(object sender, EventArgs e)
        {
            XDraw.DoFlipHorz();
        }

        private void mnuFilpVertical_Click(object sender, EventArgs e)
        {
            XDraw.DoFlipVert();
        }

        private void mnuBringToFront_Click(object sender, EventArgs e)
        {
            XDraw.DoMoveFront();
        }

        private void mnuSendToBackground_Click(object sender, EventArgs e)
        {
            XDraw.DoMoveBack();
        }

        private void mnuBringForward_Click(object sender, EventArgs e)
        {
            XDraw.DoMoveForward();
        }

        private void mnuSendBackward_Click(object sender, EventArgs e)
        {
            XDraw.DoMoveBackward();
        }

        private void mnuAlignLeft_Click(object sender, EventArgs e)
        {
            XDraw.DoAlignLeft();
        }

        private void mnuAlignCenter_Click(object sender, EventArgs e)
        {
            XDraw.DoAlignCenter();
        }

        private void mnuAlignRight_Click(object sender, EventArgs e)
        {
            XDraw.DoAlignRight();
        }

        private void mnuAlignTop_Click(object sender, EventArgs e)
        {
            XDraw.DoAlignTop();
        }

        private void mnuAlignMiddle_Click(object sender, EventArgs e)
        {
            XDraw.DoAlignVcenter();
        }

        private void mnuAlignBottom_Click(object sender, EventArgs e)
        {
            XDraw.DoAlignBottom();
        }

        private void widthToolStripMenuItem_Click(object sender, EventArgs e)
        {
            XDraw.DoSizeWidth();
        }

        private void mnuHeight_Click(object sender, EventArgs e)
        {
            XDraw.DoSizeHeight();
        }

        private void mnuBoth_Click(object sender, EventArgs e)
        {
            XDraw.DoSizeAll();
        }

        private void mnuSpaceAcross_Click(object sender, EventArgs e)
        {
            XDraw.DoSpaceAcross();
        }

        private void mnuSpaceDown_Click(object sender, EventArgs e)
        {
            XDraw.DoSpaceDown();
        }

        private void mnuNudge_Click(object sender, EventArgs e)
        {

        }

        private void mnuNudgeLeft_Click(object sender, EventArgs e)
        {
            XDraw.DoCmdNudgeleft();
        }

        private void mnuNudgeRight_Click(object sender, EventArgs e)
        {
            XDraw.DoCmdNudgeright();
        }

        private void mnuNudgeTop_Click(object sender, EventArgs e)
        {
            XDraw.DoCmdNudgetop();
        }

        private void mnuNudgeBottom_Click(object sender, EventArgs e)
        {
            XDraw.DoCmdNudgebottom();
        }

        private void mnuTabOrder_Click(object sender, EventArgs e)
        {
            XDraw.DoTabOrder();
        }

        private void mnuTextTool_Click(object sender, EventArgs e)
        {
            XDraw.DoShowTextDlg();
        }

        private void mnuLineTool_Click(object sender, EventArgs e)
        {
            XDraw.DoShowLineDlg();
        }

        private void mnuBulletsTool_Click(object sender, EventArgs e)
        {
            XDraw.DoShowBulletsDlg();
        }

        private void mnuFillTool_Click(object sender, EventArgs e)
        {
            XDraw.DoShowFillDlg();
        }

        private void mnuShadowTool_Click(object sender, EventArgs e)
        {
            XDraw.DoShowShadowDlg();
        }

        private void mnuEventTool_Click(object sender, EventArgs e)
        {
            XDraw.DoShowEventDlg();
        }

        private void mnuKeysTool_Click(object sender, EventArgs e)
        {
            XDraw.DoShowKeyDlg();
        }

        private void mnuSizeAndPosition_Click(object sender, EventArgs e)
        {
            XDraw.DoShowPosAndSizeDlg();
        }

        private void mnuCustomTool_Click(object sender, EventArgs e)
        {
            XDraw.DoShowCustomDlg();
        }

        private void mnuProtect_Click(object sender, EventArgs e)
        {
            XDraw.DoShowProtDlg();
        }

        private void mnuAboutUCCDrawControl_Click(object sender, EventArgs e)
        {
            XDraw.AboutBox();
        }

        private void openFromTemplateToolStripMenuItem_Click(object sender, EventArgs e)
        {
            XDraw.ShowTemplateOpenDialog();
        }

        private void mnuSavetoTemplate_Click(object sender, EventArgs e)
        {
            XDraw.ShowSaveTemplateDialog();
        }

        private void mnuOpen_Click(object sender, EventArgs e)
        {
            XDraw.ShowOpenFileDialog();
        }

        private void mnuSave_Click(object sender, EventArgs e)
        {
            XDraw.ShowSaveFileDialog();
        }

        private void mnuColorTheme_Click(object sender, EventArgs e)
        {
            XDraw.ShowColorThemeDlg();
        }

        private void mnuPrintPreview_Click(object sender, EventArgs e)
        {
            XDraw.DoVCPrintPreview();
        }

        private void mnuMakeSubgraph_Click(object sender, EventArgs e)
        {
            XDraw.DoMakeSubgraph();
        }

        private void mnuUnMakeSubgraph_Click(object sender, EventArgs e)
        {
            XDraw.UnGroupSubgraph();
        }

        private void toolboxWindowToolStripMenuItem_Click(object sender, EventArgs e)
        {
          //  bool bVisible = XDraw.IsToolBoxVisible();
         //   XDraw.ShowToolBoxWindow(!bVisible);
        }

        private void mnuCenterInFormHorizontal_Click(object sender, EventArgs e)
        {
            XDraw.DoAlignInviewHor();
        }

        private void mnuCenterInFormVertical_Click(object sender, EventArgs e)
        {
            XDraw.DoAlignInviewVer();
        }

    }
}
